Bug 246486 - Add automake19
Summary: Add automake19
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: automake   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-02 17:20 UTC by H.J. Lu
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 09:52:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RPM spec for automake19 (10.12 KB, text/plain)
2007-07-02 17:21 UTC, H.J. Lu
no flags Details
A patch for automake19 (3.44 KB, patch)
2007-07-02 17:24 UTC, H.J. Lu
no flags Details | Diff

Description H.J. Lu 2007-07-02 17:20:35 UTC
I am doing gcc/binutils development on Fedora 7. Gcc/binutils are still
using automake 1.9, which isn't available on Fedora 7. I have built
automake19 from automake 1.9 in FC6.

Comment 1 H.J. Lu 2007-07-02 17:21:31 UTC
Created attachment 158352 [details]
RPM spec for automake19

Comment 2 H.J. Lu 2007-07-02 17:24:02 UTC
Created attachment 158353 [details]
A patch for automake19

Comment 3 Karsten Hopp 2007-07-09 08:45:22 UTC
automake-1.10 is supposed to be compatible with automake-1.9. The only issues
I've seen so far are checks for specific automake versions which will fail.
Do you have an testcase which shows the problem ?


Comment 4 H.J. Lu 2007-07-09 13:45:49 UTC
[hjl@gnu-2 bfd]$ cd /export/gnu/src/binutils/binutils/bfd
[hjl@gnu-2 bfd]$ rpm -qf /usr/bin/automake
automake-1.10-5
[hjl@gnu-2 bfd]$ automake --cygnus Makefile
configure.in:11: version mismatch.  This is Automake 1.10,
configure.in:11: but the definition used by this AM_INIT_AUTOMAKE
configure.in:11: comes from Automake 1.9.6.  You should recreate
configure.in:11: aclocal.m4 with aclocal and run automake again.
[hjl@gnu-2 bfd]$ automake-1.9 --cygnus Makefile
[hjl@gnu-2 bfd]$

Comment 5 Karsten Hopp 2007-07-09 13:50:21 UTC
Have you run 'aclocal' as suggested ? Did it fix your issues ?

Comment 6 H.J. Lu 2007-07-09 14:27:22 UTC
I didn't change any m4 files. I only changed Makefile.am. Running aclocal
will force other developers, who are using automake 1.9, to run aclocal again.
That means for every change Makefile.am change, we have to regenerate and
check in a new aclocal.m4, which is entirely unnecessary.

Comment 7 Karsten Hopp 2007-07-10 09:52:57 UTC
Sorry, but that's not reason enough for me to add and maintain the sixth(!)
version of automake in Fedora. Please read
http://fedoraproject.org/wiki/PackageMaintainers/Join if you would like to add
the package yourself or http://fedoraproject.org/wiki/PackageMaintainers/WishList
if you'd like to find a volunteer for that.



Note You need to log in before you can comment on or make changes to this bug.